import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { BbCollectionsTable } from '../collections-table/collections-table.component';
import * as i0 from "@angular/core";
export declare class BbCollectionsTableSorting implements OnInit, OnDestroy {
    private _name;
    private _changeDetectorRef;
    private _parent?;
    readonly orderedOptions: [null, 'asc', 'desc'];
    direction: 'asc' | 'desc' | null;
    private _subscription;
    constructor(_name: string, _changeDetectorRef: ChangeDetectorRef, _parent?: BbCollectionsTable<unknown>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    private getNextOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCollectionsTableSorting, [{ attribute: "bb-collections-table-sorting"; }, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCollectionsTableSorting, "th[bb-collections-table-sorting]", never, {}, {}, never, ["*"], true, never>;
}
