import { TemplateRef } from '@angular/core';
import { BbCollectionsDataRowContext } from '../../directives/collections-data-row.directive';
import { Collection } from '../../collection';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbCollectionsTable<T = any> {
    readonly collection$: BehaviorSubject<Collection<T>>;
    dataRowTemplate?: TemplateRef<BbCollectionsDataRowContext<T>>;
    queryPlaceholder: string | null;
    emptyContent: string | TemplateRef<any> | null;
    noResultsContent: string | TemplateRef<any> | null;
    errorContent: string | TemplateRef<any> | null;
    trackByProperty: string | null;
    includeVerticalLines: boolean;
    hideActions: boolean;
    hidePager: boolean;
    set collection(collection: Collection<T>);
    get collection(): Collection<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCollectionsTable<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCollectionsTable<any>, "bb-collections-table", never, { "queryPlaceholder": { "alias": "queryPlaceholder"; "required": false; }; "emptyContent": { "alias": "emptyContent"; "required": false; }; "noResultsContent": { "alias": "noResultsContent"; "required": false; }; "errorContent": { "alias": "errorContent"; "required": false; }; "trackByProperty": { "alias": "trackByProperty"; "required": false; }; "includeVerticalLines": { "alias": "includeVerticalLines"; "required": false; }; "hideActions": { "alias": "hideActions"; "required": false; }; "hidePager": { "alias": "hidePager"; "required": false; }; "collection": { "alias": "collection"; "required": true; }; }, {}, ["dataRowTemplate"], ["[data-collections-action]", "[data-collections-row]", "thead", "tfoot"], true, never>;
    static ngAcceptInputType_includeVerticalLines: unknown;
    static ngAcceptInputType_hideActions: unknown;
    static ngAcceptInputType_hidePager: unknown;
}
