export type ArrayCollectionStringKeys<T> = {
    [K in keyof T]: T[K] extends string ? K : never;
}[keyof T];
export interface ArrayCollectionOptions<T> {
    sortables?: Partial<Record<ArrayCollectionStringKeys<T>, 'string' | 'number'>>;
}
