import { ArrayCollectionOptions } from '../interfaces/array-collection.interface';
import { CollectionRequest } from '../interfaces/collection.interface';
import { CollectionProvider } from './collection.provider';
export declare class LocalCollectionProvider<T> extends CollectionProvider<T> {
    private _options?;
    private _items$;
    constructor(items: T[], _options?: ArrayCollectionOptions<T>);
    update(value: T[]): void;
    transform(request: CollectionRequest): import("rxjs").Observable<{
        totalPages: number;
        totalEntries: number;
        pageSize: number;
        pageNumber: number;
        data: T[];
    }>;
}
