import { AfterViewInit, TemplateRef } from '@angular/core';
import { BbButton } from '@bravobit/bb-foundation/elements';
import * as i0 from "@angular/core";
export declare class BbDialogConfirm implements AfterViewInit {
    private readonly _config;
    private readonly _dialogRef;
    readonly dialogId: string;
    readonly title: string | TemplateRef<any>;
    readonly description: string | TemplateRef<any>;
    readonly confirmButtonText: string;
    readonly cancelButtonText: string;
    readonly confirmButtonClass: string;
    readonly cancelButtonClass: string;
    readonly width: string;
    confirmButton?: BbButton;
    ngAfterViewInit(): void;
    onClose(result: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogConfirm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogConfirm, "bb-dialog-confirm", never, {}, {}, never, never, true, never>;
}
