import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import * as i0 from "@angular/core";
export declare class BbDialogOverlay implements OnInit, OnDestroy {
    private readonly _config?;
    private readonly _changeDetectorRef;
    readonly disableOverlayAnimations: boolean;
    overlayElementRef: ElementRef<HTMLDivElement>;
    closeRequested: EventEmitter<void>;
    state: 'open' | 'close';
    private _closed$;
    private _subscription;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onKeyEvent(event: KeyboardEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    close(): Promise<void>;
    private listenForClicks;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogOverlay, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogOverlay, "bb-dialog-overlay", never, {}, { "closeRequested": "closeRequested"; }, never, ["[bb-dialog-modal]"], true, never>;
}
