import { ElementsDisplayUnit } from '../elements.interfaces';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbAvatar {
    private readonly _config?;
    size: number;
    unit: ElementsDisplayUnit | null;
    state$: BehaviorSubject<string>;
    private _src;
    private _title;
    private _initials;
    private _color;
    private _backgroundColor;
    set src(value: string);
    set title(value: string);
    set tintColor(value: string);
    get sizes(): string;
    get fontSize(): string;
    get src(): string;
    get color(): string;
    get backgroundColor(): string;
    get title(): string;
    get initials(): string;
    private setColors;
    private toRgb;
    private getInitials;
    private parseColorFormat;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAvatar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbAvatar, "bb-avatar", never, { "size": { "alias": "size"; "required": false; }; "unit": { "alias": "unit"; "required": false; }; "src": { "alias": "src"; "required": false; }; "title": { "alias": "title"; "required": false; }; "tintColor": { "alias": "tintColor"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_size: unknown;
}
