import { ElementsConfig, ElementsDisplayUnit, ElementsIcon } from '../elements.interfaces';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbIcon {
    private _config?;
    private _registry?;
    private _src;
    state$: BehaviorSubject<any>;
    alt: string | null;
    size: number;
    ariaHidden: boolean;
    unit: ElementsDisplayUnit | null;
    set src(newValue: string | null);
    get src(): string | null;
    get sizes(): string;
    constructor(_config?: ElementsConfig, _registry?: ElementsIcon[]);
    private convert;
    private findImageIcon;
    private findFontIcon;
    private warn;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbIcon, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbIcon, "bb-icon", never, { "alt": { "alias": "alt"; "required": false; }; "size": { "alias": "size"; "required": false; }; "ariaHidden": { "alias": "ariaHidden"; "required": false; }; "unit": { "alias": "unit"; "required": false; }; "src": { "alias": "src"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_size: unknown;
    static ngAcceptInputType_ariaHidden: unknown;
}
