import { AbstractControl, ValidatorFn } from '@angular/forms';
export declare class BbValidator {
    static email(control: AbstractControl): {
        email: boolean;
    };
    static fullNumber(control: AbstractControl): {
        fullNumber: boolean;
    };
    static maxFileSize(bytes: number): ValidatorFn;
    static confirm(fieldName: string, error?: string): ValidatorFn;
    static maxDate(date: Date, error?: string): ValidatorFn;
    static minDate(date: Date, error?: string): ValidatorFn;
}
