import { LocalizeParams } from '../interfaces/options.interfaces';
import { Localize } from '../localize.service';
export declare abstract class LocalizeTransform {
    abstract execute(value: string, data: LocalizeParams['data'], localize: Localize): string;
    protected getMatches(value: string, substitutions: [string, string]): {
        match: string;
        token: string;
    }[];
    protected getSubstitutions(value: [string, string]): {
        start: string;
        end: string;
    };
}
