import { LocalizeParams } from '../interfaces/options.interfaces';
import { LocalizeConfig } from '../interfaces/config.interfaces';
import { LocalizeTransform } from './abstract.transform';
import { Localize } from '../localize.service';
export declare class LocalizeReferenceTransform extends LocalizeTransform {
    protected readonly config?: LocalizeConfig;
    protected readonly substitutions: [leftSubstitution: string, rightSubstitution: string];
    execute(value: string, _: LocalizeParams['data'], localize: Localize): string;
}
