import { LocalPermissionsData } from '../permissions.interface';
import { PermissionsHandler } from './abstract.handler';
import { Auth } from '@bravobit/bb-foundation/auth';
export declare class LocalPermissionsHandler extends PermissionsHandler {
    protected auth: Auth;
    protected localPermissions: LocalPermissionsData;
    constructor(auth: Auth, localPermissions: LocalPermissionsData);
    get(): import("rxjs").Observable<any[]>;
    protected getPermissionsForRole(role: string): any[];
}
