import { PermissionsHandler } from './handlers/abstract.handler';
import { PermissionsOptions } from './permissions.interface';
import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class Permissions implements OnDestroy {
    private _handler;
    private _activePermissions$;
    private _subscription;
    constructor(_handler: PermissionsHandler);
    ngOnDestroy(): void;
    all(): import("rxjs").Observable<string[]>;
    allSync(): string[];
    has(value: string | string[], options?: PermissionsOptions): import("rxjs").Observable<boolean>;
    hasSync(value: string | string[], options?: PermissionsOptions): boolean;
    private hasPermission;
    private verifyModeAnd;
    private verifyModeNot;
    private verifyModeOr;
    private getRequiredPermissions;
    private trackPermissions;
    static ɵfac: i0.ɵɵFactoryDeclaration<Permissions, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Permissions>;
}
