import { HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AuthInterceptor implements HttpInterceptor {
    private readonly _auth;
    private readonly _config?;
    private readonly _authHeaderString;
    private readonly _authScheme;
    isRefreshing: boolean;
    refreshingAccessToken$: BehaviorSubject<string>;
    intercept(request: HttpRequest<unknown>, next: HttpHandler): import("rxjs").Observable<import("@angular/common/http").HttpEvent<any>>;
    private handle401Error;
    private logoutUser;
    private getAccessToken;
    private addAuthorizationHeader;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthInterceptor>;
}
