import { TemplateRef } from '@angular/core';
import { BbCollectionsItemContext } from '../../directives/collections-item.directive';
import { Collection } from '../../collection';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbCollectionsGrid<T> {
    readonly collection$: BehaviorSubject<Collection<T>>;
    itemTemplate?: TemplateRef<BbCollectionsItemContext<T>>;
    queryPlaceholder: string | null;
    hideActions: boolean;
    hidePager: boolean;
    set collection(collection: Collection<T>);
    get collection(): Collection<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCollectionsGrid<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCollectionsGrid<any>, "bb-collections-grid", never, { "queryPlaceholder": { "alias": "queryPlaceholder"; "required": false; }; "hideActions": { "alias": "hideActions"; "required": false; }; "hidePager": { "alias": "hidePager"; "required": false; }; "collection": { "alias": "collection"; "required": true; }; }, {}, ["itemTemplate"], ["[data-collections-action]", "[data-collections-row]"], true, never>;
    static ngAcceptInputType_hideActions: unknown;
    static ngAcceptInputType_hidePager: unknown;
}
