import { ComponentRef, ElementRef, OnDestroy, OnInit, Type } from '@angular/core';
import { Subject } from 'rxjs';
import { BbDialogInsertion } from '../dialog.insertion';
import { AnimationEvent } from '@angular/animations';
import * as i0 from "@angular/core";
export declare class BbDialogContainer implements OnInit, OnDestroy {
    private readonly _config?;
    readonly disableContainerAnimations: boolean;
    backdropElementRef: ElementRef<HTMLDivElement>;
    insertion: BbDialogInsertion;
    componentRef: ComponentRef<any> | null;
    childComponentType: Type<any> | null;
    overlayClicked$: Subject<void>;
    private _subscription;
    get onOverlayClicked(): import("rxjs").Observable<void>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onAnimationDone(event: AnimationEvent): void;
    private listenForClicks;
    private loadChildComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogContainer, "bb-dialog-container", never, {}, {}, never, never, true, never>;
}
