import { OnInit, Renderer2 } from '@angular/core';
import { Patch } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
export declare class BbDialogModal implements OnInit {
    private _patch;
    private _renderer;
    private _document?;
    maxWidth: string | null;
    withoutBodyPadding: boolean;
    constructor(_patch: Patch, _renderer: Renderer2, _document?: Document);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private allowGlobalOverflow;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogModal, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogModal, "[bb-dialog-modal]", never, { "maxWidth": { "alias": "maxWidth"; "required": false; }; "withoutBodyPadding": { "alias": "withoutBodyPadding"; "required": false; }; }, {}, never, ["[bb-dialog-header]", "*", "[bb-dialog-actions]"], true, never>;
    static ngAcceptInputType_withoutBodyPadding: unknown;
}
