import { LocalizeFunction, LocalizeFunctionMap } from '../interfaces/functions.interfaces';
import { LocalizeParams } from '../interfaces/options.interfaces';
import { LocalizeConfig } from '../interfaces/config.interfaces';
import { LocalizeTransform } from './abstract.transform';
import { Localize } from '../localize.service';
export declare class LocalizeInterpolateTransform extends LocalizeTransform {
    protected readonly config?: LocalizeConfig;
    protected readonly functions?: LocalizeFunction[];
    protected readonly substitutions: [leftSubstitution: string, rightSubstitution: string];
    protected readonly functionsMap: LocalizeFunctionMap;
    execute(value: string, data: LocalizeParams['data'], localize: Localize): string;
    protected parseInterpolationToken(value: string, data: LocalizeParams['data'], localize: Localize): string;
}
