import { LocalizeParams } from '../interfaces/options.interfaces';
import { LocalizeConfig } from '../interfaces/config.interfaces';
import { LocalizeTransform } from './abstract.transform';
import { Localize } from '../localize.service';
export declare class LocalizePluralTransform extends LocalizeTransform {
    protected readonly config?: LocalizeConfig;
    protected readonly substitutions: [leftSubstitution: string, rightSubstitution: string];
    protected readonly defaultAmount = "default";
    protected readonly multiItemRegex: RegExp;
    protected readonly singleItemRegex: RegExp;
    execute(value: string, data: LocalizeParams['data'], _: Localize): string;
    private extractAmount;
    private parsePluralToken;
    private splitMatches;
    private getPluralObject;
}
