import { ChangeDetectorRef, ElementRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { Notification, NotificationAction } from '../notifications.interfaces';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class BbNotificationsItem implements OnInit, OnDestroy {
    private _zone;
    private _platform;
    private _changeDetection;
    notification: Notification;
    dismissButtonText: string | null;
    progressElementRef: ElementRef;
    private _progress;
    private _count;
    private _steps;
    private _speed;
    private _timer;
    private _startTime;
    private _difference;
    private readonly _radius;
    private readonly _circumference;
    get getClass(): string;
    constructor(_zone: NgZone, _platform: Platform, _changeDetection: ChangeDetectorRef);
    get progressStrokeArray(): string;
    get progressStrokeOffset(): number;
    get isContentString(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    callActionAndDestroy: (notification: Notification, action: NotificationAction) => void;
    private startTimeout;
    private instance;
    private setTimeout;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbNotificationsItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbNotificationsItem, "bb-notifications-item", never, { "notification": { "alias": "notification"; "required": false; }; "dismissButtonText": { "alias": "dismissButtonText"; "required": false; }; }, {}, never, never, true, never>;
}
