import { OnDestroy, TemplateRef } from '@angular/core';
import { ConnectedPosition } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class TooltipDirective implements OnDestroy {
    private readonly _overlay;
    private readonly _viewContainer;
    private readonly _elementRef;
    bbTooltip: string | TemplateRef<void>;
    bbTooltipClass: string | null;
    bbTooltipOrigin: HTMLElement | null;
    bbTooltipPositions: ConnectedPosition[];
    bbTooltipDisabled: boolean;
    private _overlayRef;
    showTooltip(): void;
    hideTooltip(): void;
    ngOnDestroy(): void;
    private attachTooltip;
    private getPositionStrategy;
    private getPositions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[bbTooltip]", never, { "bbTooltip": { "alias": "bbTooltip"; "required": false; }; "bbTooltipClass": { "alias": "bbTooltipClass"; "required": false; }; "bbTooltipOrigin": { "alias": "bbTooltipOrigin"; "required": false; }; "bbTooltipPositions": { "alias": "bbTooltipPositions"; "required": false; }; "bbTooltipDisabled": { "alias": "bbTooltipDisabled"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_bbTooltipDisabled: unknown;
}
