import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BbAutosize implements AfterViewInit {
    private _renderer;
    private _elementRef;
    minHeight: string | null;
    maxHeight: string | null;
    rows: number;
    constructor(_renderer: Renderer2, _elementRef: ElementRef);
    get element(): HTMLTextAreaElement;
    ngAfterViewInit(): void;
    onWindowResize(): void;
    onInputReceived(): void;
    private updateStyles;
    private setHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAutosize, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbAutosize, "textarea[bbAutosize]", never, { "minHeight": { "alias": "minHeight"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_rows: unknown;
}
