import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { FocusMode } from '@bravobit/bb-foundation';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class BbFocus implements AfterViewInit {
    private _zone;
    private _platform;
    private _elementRef;
    private readonly _globalFocusMode;
    bbFocusMode: FocusMode | null;
    constructor(_zone: NgZone, _platform: Platform, _elementRef: ElementRef);
    private get nativeElement();
    ngAfterViewInit(): void;
    private isMobile;
    private focus;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbFocus, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbFocus, "[bbFocus]", never, { "bbFocusMode": { "alias": "bbFocusMode"; "required": false; }; }, {}, never, never, true, never>;
}
